PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Protected Attributes | List of all members
PSystemLogToFile Class Reference

Log system output to a file. More...

`#include <syslog.h>`

Inheritance diagram for PSystemLogToFile:
[legend]
Collaboration diagram for PSystemLogToFile:
[legend]

## Public Member Functions
Construction
| PSystemLogToFile (const PString &filename)
Overrides of PSystemLogTarget
virtual void | Output (PSystemLog::Level level, const char *msg)
| Log an error into the system log. More...
Miscellaneous functions
const PFilePath & | GetFilePath () const
| Get the path to the file being logged to. More...
Public Member Functions inherited from PSystemLogTarget
| PSystemLogTarget ()
void | SetThresholdLevel (PSystemLog::Level level)
| Set the level at which errors are logged. More...
PSystemLog::Level | GetThresholdLevel () const
| Get the current level for logging. More...
Public Member Functions inherited from PObject
unsigned | GetTraceContextIdentifier () const
| Get PTRACE context identifier. More...
void | SetTraceContextIdentifier (unsigned id)
void | GetTraceContextIdentifier (PObject &obj)
void | GetTraceContextIdentifier (PObject *obj)
void | SetTraceContextIdentifier (const PObject &obj)
void | SetTraceContextIdentifier (const PObject *obj)
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
template<class CLS >
CLS * | CloneAs () const
| As for Clone() but converts to specified type. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
__inline const PObject * | PTraceObjectInstance () const
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Attributes
PTextFile | m_file
Protected Attributes inherited from PSystemLogTarget
PSystemLog::Level | m_thresholdLevel
Protected Attributes inherited from PObject
unsigned | m_traceContextIdentifier

## Additional Inherited Members
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static const char * | Class ()
| Get the name of the class as a C string. More...
static __inline const PObject * | PTraceObjectInstance (const char *)
static __inline const PObject * | PTraceObjectInstance (const PObject *obj)
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
Protected Member Functions inherited from PSystemLogTarget
void | OutputToStream (ostream &strm, PSystemLog::Level level, const char *msg)
| Log an error into the specified stream. More...
Friends inherited from PObject

## Detailed Description

Log system output to a file.

## Constructor & Destructor Documentation

PSystemLogToFile::PSystemLogToFile | ( | const PString & | filename | ) |

## Member Function Documentation

const PFilePath& PSystemLogToFile::GetFilePath | ( |  | ) | const
| inline

Get the path to the file being logged to.

References PFile::GetFilePath(), and m_file.

virtual void PSystemLogToFile::Output | ( | PSystemLog::Level | level,
|  | const char * | msg
| ) |  |
| virtual

Log an error into the system log.

Parameters

  level | Level of this message
  msg | Message to be logged

Implements PSystemLogTarget.

## Member Data Documentation

PTextFile PSystemLogToFile::m_file
| protected

Referenced by GetFilePath().

The documentation for this class was generated from the following file:

- syslog.h